Responses
List responses
Returns a collection of all stored responses matching specified filter criteria.
Параметры запроса
limit
integer
A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 20.
order
enum
Sort order by the created_at timestamp of the objects. asc for ascending order anddesc
for descending order.
after
string
A cursor for use in pagination. after is an object ID that defines your place in the list.
For instance, if you make a list request and receive 100 objects, ending with obj_foo, your
subsequent call can include after=obj_foo in order to fetch the next page of the list.
before
string
A cursor for use in pagination. before is an object ID that defines your place in the list.
For instance, if you make a list request and receive 100 objects, ending with obj_foo, your
subsequent call can include before=obj_foo in order to fetch the previous page of the list.
agent_name
string
Filter by agent name. If provided, only items associated with the specified agent will be returned.
agent_id
string
Filter by agent ID in the format name:version. If provided, only items associated with the specified agent ID will be returned.
conversation_id
string
Filter by conversation ID. If provided, only responses associated with the specified conversation will be returned.
Параметры заголовка
x-ms-user-identity
string
Opaque per-user identity string used to scope endpoint-scoped data to a specific end user. The caller must have the agents/endpoints/UserIdentityImpersonation/action RBAC permission.
Ответы
The request has succeeded.
Текст
data
OpenAI.Response[]
обязательно
The requested list of items.
first_id
string
The first ID represented in this list.
last_id
string
The last ID represented in this list.
has_more
boolean
обязательно
A value indicating whether there are additional values available not captured in this list.
Запрос
GET /openai/v1/responses HTTP/1.1
Response
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json